Jupiter ERP
Account API

List Personnel

/api/account/personnel

GETHTTP
get/api/account/personnel

Example request

GET https://api.jupiter-erp.com/api/account/personnel

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/personnel' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
searchquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
location_idquerynoFilter by location ID
activequerynoFilter by active status
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
account_userobject
FieldTypeDescription
display_namestring
idinteger
account_user_idinteger
active*boolean
contactobject
FieldTypeDescription
idinteger
namestring
contact_idinteger
created_atstring (date-time)Creation timestamp in ISO 8601 format.
departmentstring
emailstring (email)
employee_numberstring
first_name*string
genderstring

string

  • male
  • female
  • diverse
hire_datestring (date)
id*integer
internal_notestringHTML
last_name*string
locationobject
FieldTypeDescription
idinteger
namestring
location_idinteger
mobilestring
phonestring
positionstring
termination_datestring (date)
titlestring
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "location_id": 0,
      "location": {
        "id": 0,
        "name": "string"
      },
      "contact_id": 0,
      "contact": {
        "id": 0,
        "name": "string"
      },
      "account_user_id": 0,
      "first_name": "string",
      "last_name": "string",
      "active": true
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
Personnel

Questions about integration?

GET /api/account/personnel · Jupiter ERP